<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
<main>
    <h1>HW5 Q&A</h1>

    <h4>Опишіть своїми словами, що таке метод об’єкту</h4>
    <p>
        Метод об'єкту - це функція, яка виконується в контексті об'єкту. Це означає, що вона може отримати доступ до властивостей об'єкта, використовуючи ключове слово this.
    </p>

    <h4>Який тип даних може мати значення властивості об’єкта?</h4>
    <p>
        Значення властивості об'єкта може бути будь-яким типом даних, включаючи масиви та інші об'єкти.
    </p>

    <h4>Об’єкт це посилальний тип даних. Що означає це поняття?</h4>
    <p>
        Це означає, що змінна, яка містить об'єкт, не містить самого об'єкта, а лише посилання на нього. Це означає, що якщо ми присвоїмо змінній новий об'єкт, то старий об'єкт не буде видалений з пам'яті, а лише втратить посилання на нього.
        А якщо змінемо будь яке свойство об'єкта, то зміни відбудуться і в тому об'єкті, на який посилається змінна. В стеку буде зберігатися лише посилання на об'єкт, а сам об'єкт буде зберігатися в купі.
    </p>
</main>

<script src="./js/script.js"></script>
</body>
</html>